import 'package:json_annotation/json_annotation.dart';

part 'marking_keyboard_sliding_position.g.dart';

@JsonSerializable()
class MarkingKeyboardSlidingPosition extends Object {
  @JsonKey(name: 'id')
  int id;

  @JsonKey(name: 'questionNum')
  String questionNum;

  @JsonKey(name: 'position')
  double position;

  @JsonKey(name: 'isVertical')
  bool isVertical; // 是否是横行键盘

  MarkingKeyboardSlidingPosition(
      {required this.id, required this.questionNum, required this.position, this.isVertical = false});

  factory MarkingKeyboardSlidingPosition.fromJson(Map<String, dynamic> srcJson) =>
      _$MarkingKeyboardSlidingPositionFromJson(srcJson);

  Map<String, dynamic> toJson() => _$MarkingKeyboardSlidingPositionToJson(this);
}
